cancel
Showing results for 
Search instead for 
Did you mean: 

Junos Pulse Version Control SA/MAG

Occasional Contributor

Junos Pulse Version Control SA/MAG

Are there any plans to add version control for Pulse clients on the SA/MAG platform? We would like to have the ability to set a minimum version of Pulse required for clients to connect and also restrict them from constantly delaying the upgrade on Windows/Mac. This would set a minimum version of Pulse required for clients to connect aleviating the problems associated with dispirate versions with assorted problems across the client base.

3 REPLIES 3
Valued Contributor

Re: Junos Pulse Version Control SA/MAG

I know this is not the answer you are looking for but you could manually accomplish this with host check rules.

Respected Contributor

Re: Junos Pulse Version Control SA/MAG

Like muttbarker said, the option now is a Host Checker file check.
Otherwise/in addition, great idea for an enhancement request
Occasional Contributor

Re: Junos Pulse Version Control SA/MAG

Host Check is a possibility on Windows/MAC/Linux but not on mobile devices. The only available possibility I can see across all platforms is by specifying supported Junos Pulse versions from the User agent string presented by the connecting client at the Realm or Role, the only problem is there is no way to present a custom message to the user explaining why their connection was denied if they did not meet the version requirement(s).

 

I will be submitting a feature request on this.